unit uWindowsVersion;

interface

uses
  {$IF CompilerVersion >= 23.0}
  Vcl.Themes,
  {$ELSE}
  Themes,
  {$IFEND}
  SysUtils;

function ThemesEnabled: Boolean;
function Theme_Services: {$IF CompilerVersion >= 23.0}TCustomStyleServices{$ELSE}TThemeServices{$IFEND};
function VistaOrLater: Boolean;

implementation

{$R SynTaskDialog.res}

function ThemesEnabled: Boolean;
begin
  {$IF CompilerVersion >= 23.0}
  result := StyleServices.Enabled;
  {$ELSE}
  result := ThemeServices.ThemesEnabled;
  {$IFEND}
end;

function Theme_Services: {$IF CompilerVersion >= 23.0}TCustomStyleServices{$ELSE}TThemeServices{$IFEND};
begin
  {$IF CompilerVersion >= 23.0}
  result := StyleServices;
  {$ELSE}
  result := ThemeServices;
  {$IFEND}
end;

function VistaOrLater: Boolean;
begin
  result := CheckWin32Version(6);
end;


end.
